PAUSE(2)

NAME
pause - wait for signal

SYNOPSIS
#include<unistd.h>

int pause(void);

DESCRIPTION
pause causes the process to sleep until a signal is received.

RETURN VALUE
pause always returns -1, and errno is set to ERESTARTNOHAND.

ERRORS

EINTR
    signal was received.

CONFORMING TO
SVID, AT&T, POSIX, X/OPEN, BSD 4.3

SEE ALSO
kill(2), select(2), signal(2)